読者です 読者をやめる 読者になる 読者になる

Yuichiro_S の Twitterでは文字数が足りないもの

Twitterに書くには向いてないことを書きます。文字数制限だとか、検索に引っかからないだとか、流れてしまって読んでもらえないだとか。

機能のgst-plugins-ffmpegの話の続き; FirefoxとChromiumは同時にインストールできるようになる?

昨日,あれを書いたあと,なんとなく検索したらこんなものが出てきたのだが ―― Bug 806917 - support GStreamer 1.0 ―― FirefoxがGStreamerに移行すると,FirefoxHTML5の実装がlibav依存になることになる.Chromiumが相変わらずffmpegHTML5のために使っていくのだとしたら,ffmpegとlibavをシステム内で共存させる方法がない現状だと,片方のブラウザしか使えないことになる.

そもそもffmpegとlibavがなぜfolkして別れたのかイマイチ正確なことはわからないのだが,本の虫: ffmpegとlibavの背景事情を読んだらなんとなく事情は分かったような気になった.

と,ここで重大な勘違いに気付いた. そもそもGStreamer 1.0のlibavプラグインはffmpegでもlibavでも動くらしい.なーんだ問題ないじゃないか. firefoxがGStreamer 1.0に対応したら,chromiumと共存可能になるわけだ.やれやれ. 古い方のGStreamerのffmpegプラグインが更新されるのは少し考えづらいし,期待するならそっちかな.

ただ,Chromiumを使いたいならlibavが使えないことには変わりがなくて,GStreamerとしてはlibav推奨,つまりFirefoxは間接的な形でlibavを使ったほうがよさそう,つまり,どちらのブラウザを好むかでライブラリを選ばされそうなことには変わりがないように見えるけれども.